{
  "accUserMode" : 2,
  "caption" : "学员信息清单(移动端)",
  "codeName" : "ReginfoMobMDView",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/ReginfoMobMDView.json",
  "name" : "ReginfoMobMDView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "MobMDView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/ReginfoMobEditView.json",
          "viewType" : "DEMOBEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/ReginfoMobEditView.json",
          "viewType" : "DEMOBEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/ReginfoMobEditView.json",
          "viewType" : "DEMOBEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/ReginfoMobEditView.json",
          "viewType" : "DEMOBEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "OPENDATA",
    "realTitle" : "学员信息",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/ReginfoMobEditView.json",
      "viewType" : "DEMOBEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "学员信息",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/ReginfoMobEditView.json",
      "viewType" : "DEMOBEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "学员信息",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/ReginfoMobEditView.json",
      "viewType" : "DEMOBEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "MobMDView_MobList",
    "controlStyle" : "LISTVIEW",
    "controlType" : "MOBMDCTRL",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo/PSMOBMDCTRLS/MobMDView_MobList.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "List",
    "mobListStyle" : "LISTVIEW",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "列表控件处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "MDCTRL"
    },
    "getPSDEListDataItems" : [ {
      "dataType" : 25,
      "name" : "dataitem1"
    }, {
      "dataType" : 25,
      "name" : "dataitem2"
    }, {
      "dataType" : 25,
      "name" : "dataitem4"
    }, {
      "dataType" : 25,
      "name" : "dataitem"
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "REGINFOID",
        "codeName" : "ReginfoId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "REGINFONAME",
        "codeName" : "ReginfoName"
      }
    }, {
      "dataType" : 25,
      "name" : "studentid",
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      }
    }, {
      "dataType" : 25,
      "name" : "preginfoid",
      "getPSAppDEField" : {
        "name" : "PREGINFOID",
        "codeName" : "Preginfoid"
      }
    }, {
      "dataType" : 25,
      "name" : "preginfoid2",
      "getPSAppDEField" : {
        "name" : "PREGINFOID2",
        "codeName" : "Preginfoid2"
      }
    } ],
    "getPSDEListItems" : [ {
      "align" : "LEFT",
      "dataItemName" : "dataitem3",
      "itemType" : "ACTIONITEM",
      "name" : "dataitem3",
      "getPSDEUIActionGroup" : {
        "codeName" : "A046596b6afb50f9e5b",
        "name" : "操作列",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "detailType" : "DEUIACTION",
          "name" : "u479f517",
          "getPSSysImage" : {
            "imagePath" : "view/caption.svg"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "addSeparator" : true,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "行编辑",
          "detailType" : "DEUIACTION",
          "name" : "ua98d563",
          "getPSSysImage" : {
            "glyph" : "xf0f1@FontAwesome",
            "cssClass" : "fa fa-stethoscope"
          },
          "getPSUIAction" : {
            "caption" : "行编辑",
            "codeName" : "ToggleRowEdit",
            "fullCodeName" : "ToggleRowEdit",
            "name" : "表格界面_行编辑开关操作",
            "getPSSysImage" : {
              "glyph" : "xf0ce@FontAwesome",
              "cssClass" : "fa fa-table"
            },
            "predefinedType" : "GRIDVIEW_ROWEDITACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "ToggleRowEdit",
            "uIActionType" : "DEUIACTION",
            "enableToggleMode" : true
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : false
        } ],
        "uniqueTag" : "Reginfo__A046596b6afb50f9e5b"
      },
      "width" : 150,
      "widthString" : "150px",
      "enableSort" : false
    }, {
      "align" : "LEFT",
      "dataItemName" : "dataitem4",
      "itemType" : "TEXTITEM",
      "name" : "dataitem4",
      "width" : 150,
      "widthString" : "150px",
      "enableSort" : false
    } ],
    "getPSDEUIActionGroup" : {
      "codeName" : "Usr0619603002",
      "name" : "左滑行为组",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
      },
      "getPSUIActionGroupDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.COPY"
        },
        "caption" : "拷贝",
        "detailType" : "DEUIACTION",
        "name" : "u2f2712b",
        "getPSSysImage" : {
          "glyph" : "xf0c5@FontAwesome",
          "cssClass" : "fa fa-copy"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.COPY"
          },
          "caption" : "拷贝",
          "codeName" : "Copy",
          "fullCodeName" : "Copy",
          "name" : "表格界面_拷贝操作",
          "getPSSysImage" : {
            "glyph" : "xf0c5@FontAwesome",
            "cssClass" : "fa fa-copy"
          },
          "predefinedType" : "GRIDVIEW_COPYACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.COPY"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Copy",
          "uIActionType" : "DEUIACTION"
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.COPY"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ],
      "uniqueTag" : "Reginfo__Usr0619603002"
    },
    "getPSDEUIActionGroup2" : {
      "codeName" : "Usr0619589714",
      "name" : "右滑行为组",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
      },
      "getPSUIActionGroupDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "detailType" : "DEUIACTION",
        "name" : "ua571a5f",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "buttonStyle" : "DANGER",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "detailType" : "DEUIACTION",
        "name" : "u22e2786",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ],
      "uniqueTag" : "Reginfo__Usr0619589714"
    },
    "pagingSize" : 1000,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
      }
    },
    "hasWFDataItems" : false,
    "enableGroup" : false,
    "enableRowEdit" : false,
    "enableRowEditGroup" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "noSort" : false,
    "showHeader" : true,
    "singleSelect" : false,
    "name" : "mdctrl",
    "modelid" : "FDB14F5F-BC93-4D93-9356-BFFD8E6B0364",
    "modeltype" : "PSDELIST"
  }, {
    "codeName" : "MobMDViewrighttoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "工具栏模板（移动端多数据视图）",
    "name" : "righttoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : {
      "id" : "RIGHTTOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "buttonStyle" : "WARNING",
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.NEW"
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "righttoolbar_tbitem1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "buttonStyle" : "WARNING",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "refreshMode" : 1,
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION",
        "reloadData" : true
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.NEW"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "toolbarStyle" : "MOBNAVRIGHTMENU",
    "xDataControlName" : "mdctrl",
    "modelid" : "a8cd736a3346c5814b7a8a25a334e495",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : true
  }, {
    "caption" : "学员信息清单(移动端)",
    "codeName" : "MobMDViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "MobMDView",
  "getPSDEViewId" : "53A75D64-AB42-46E5-9A5F-17D79AA19B02",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMOBMDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "学员信息清单(移动端)",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBMDVIEW",
  "xDataControlName" : "mdctrl",
  "enableDP" : true,
  "enableFilter" : true,
  "enablePullDownRefresh" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "BFE57DB2-95D0-4432-8851-BCDAD09ECD59",
  "modeltype" : "PSAPPDEVIEW"
}